WARNING: You're viewing the older Rhino 5 version of this page! View the Rhino 6 version instead.

Add Mesh Box

Demonstrates how to construct a mesh box from a Brep box.

partial class Examples
  public static Rhino.Commands.Result AddMeshBox(Rhino.RhinoDoc doc)
    Rhino.Geometry.Box box;
    Rhino.Commands.Result rc = Rhino.Input.RhinoGet.GetBox(out box);
    if (rc == Rhino.Commands.Result.Success)
      Rhino.Geometry.Mesh mesh = Rhino.Geometry.Mesh.CreateFromBox(box, 2, 2, 2);
      if (null != mesh)
        return Rhino.Commands.Result.Success;

    return Rhino.Commands.Result.Failure;
Partial Friend Class Examples
  Public Shared Function AddMeshBox(ByVal doc As Rhino.RhinoDoc) As Rhino.Commands.Result
	Dim box As Rhino.Geometry.Box = Nothing
	Dim rc As Rhino.Commands.Result = Rhino.Input.RhinoGet.GetBox(box)
	If rc Is Rhino.Commands.Result.Success Then
	  Dim mesh As Rhino.Geometry.Mesh = Rhino.Geometry.Mesh.CreateFromBox(box, 2, 2, 2)
	  If Nothing IsNot mesh Then
		Return Rhino.Commands.Result.Success
	  End If
	End If

	Return Rhino.Commands.Result.Failure
  End Function
End Class
# No Python sample available